QGIS Application - Bug report #12648
When editing a CSV (added as geometryless table) newly added records disappear after saving
2015-04-26 02:32 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20761
Description

To see the added record is necessary to close and reopen the table of attributes.

This was not the case in past qgis releases.

There is also another inconsistency:

the button to remove columns is active but then columns cannot be deleted. This wasn't the case in previous qgis releases.

Associated revisions

Revision ae11a731 - 2015-06-02 09:39 AM - Jiirgen Fischer

ogr provider: only reset feature id of added feature, if OGR assigned one (fixes #12648)

Revision 9¢1186a8 - 2015-06-29 06:41 PM - Jiirgen Fischer

ogr provider: only reset feature id of added feature, if OGR assigned one (fixes #12648)

(cherry picked from commit ae11a731ae406def333cc85dd2dcbc46429320d9)

History

#1 - 2015-06-01 03:10 PM - Jiirgen Fischer
- Status changed from Open to Feedback

New records appear instantly here in the attribute table.

And the remove attribute button is on since virtual fields can be added and removed from all layers, even if the provider itself doesn't support removal of

attributes.

#2 - 2015-06-02 12:03 AM - Giovanni Manghi
- Status changed from Feedback to Open

Jurgen Fischer wrote:
New records appear instantly here in the attribute table.

it does, but it disappear when you click "save". Then to see it you must close and reopen the table.

#3 - 2015-06-02 12:39 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"ae11a731ae406def333cc85dd2dcbc46429320d9".
